unit LEDSSDDemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  LEDSSD, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure UpdateTime();
  private
    { Private declarations }
    Digits: array[0..5] of TLEDSSD;
  public
    { Public declarations }
    
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var
  i: Byte;
  x: Integer;
begin
  Caption := 'LEDSSD Demo';
  Width := 470;
  Height := 150; 
  x := 10;
  for i:=0 to 5 do
  begin
    Digits[i] := TLEDSSD.Create(self);
    Digits[i].Parent := self;
    Digits[i].ColorInactiveSegment := $1E361E;

    Digits[i].Width := 70;
    Digits[i].Height := 100;
    Digits[i].Top := 10;
    Digits[i].Left := x;
    x := x + 70 + (i mod 2)*10;
    Digits[i].Show();
  end;
  UpdateTime();
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
     
     UpdateTime();
end;

procedure TForm1.UpdateTime();
var
 hour, min, sec, msec: word;

begin
  DecodeTime( time, hour, min, sec, msec );
  Digits[0].Digit := hour div 10;
  Digits[1].Digit := hour mod 10;

  Digits[2].Digit := min div 10;
  Digits[3].Digit := min mod 10;

  Digits[4].Digit := sec div 10;
  Digits[5].Digit := sec mod 10;
end;

end.
